Presets

Delete a preset

delete

Deletes the preset with the specified ID.

Path parameters
preset_idstringRequired

Preset ID

Responses
chevron-right
200

OK

No content

delete
/presets/{preset_id}

No content

Create a new preset

post

Creates a new preset with the provided ID and preset data.

Body
Responses
post
/presets/

No content

Get all presets

get

Retrieves a list of all presets.

Responses
chevron-right
200

List of presets

application/json
get
/presets/

Rename a preset

patch

Renames the preset with the specified ID to the new name provided.

Path parameters
preset_idstringRequired

Preset ID

Body
new_namestringOptional
Responses
chevron-right
200

OK

No content

patch
/presets/{preset_id}

No content

Update an existing preset

put

Updates the preset with the specified ID using the provided preset data.

Body
Responses
chevron-right
200

OK

No content

put
/presets/

No content

Last updated